preseed URL hardcoded to http (patch)
Description

The preseed url in the tftp file was incorect for me:

http://localhost:8443/unattended/provision

I found another ticket which said that it was worked out from the URL you visit foreman on when clicking "Build".

Ideally I guess this isn't right - I might be accessing foreman from a different network than the host being built.

In any case, visiting foreman as https://192.168.122.1  changed the URL to http://192.168.122.1/unattended/provision - still not https.

The attached patch fixes this - not sure it's the right way (I very rarely write ruby or rails!)

The preseed itself isn't working so I need to look at that, but at least this fixes one issue :-)

Related issues:

Is duplicate of Foreman - Bug #3569: Port in use by the browser is used in re... Closed 11/04/2013

History

#1 - 01/20/2012 10:19 AM - Adrian Bridgett

looks like debian preseeding doesn't support https anyway :-(

Hopefully that'll change so probably still worth having the patch - it doesn't appear to make life any worse

#2 - 11/14/2013 02:40 PM - Dominic Cleal

- Is duplicate of Bug #3569: Port in use by the browser is used in rendering the templates added

#3 - 11/14/2013 02:40 PM - Dominic Cleal

- Description updated

- Status changed from New to Resolved

- % Done changed from 0 to 100

As you say, many installers don't support HTTPS so we switch the protocol to HTTP.  Newer generation ones (like the recent anaconda rewrite) now

do HTTPS though, so perhaps we can switch in the future.

For the original issue, the fix added in #3569 should resolve this for you.  It adds a new unattended_url setting which is always used for URLs in

templates, so no host, port or protocol should leak from the web browser request (it defaults to HTTP too).

Files

preseed_https_support.diff 1.7 KB 01/20/2012 Adrian Bridgett
